# HG changeset patch
# Node ID 83aea06712f3
# Parent  a45d6db4f857
diff --git a/pidgin/resources/About/about.ui b/pidgin/resources/About/about.ui
--- a/pidgin/resources/About/about.ui
+++ b/pidgin/resources/About/about.ui
@@ -228,7 +228,7 @@ Foundation, Inc., 51 Franklin Street, Fi
       </object>
     </child>
     <action-widgets>
-      <action-widget response="-7">close_button</action-widget>
+      <action-widget response="close">close_button</action-widget>
     </action-widgets>
     <child internal-child="action_area">
       <object class="GtkBox">
diff --git a/pidgin/resources/Accounts/editor.ui b/pidgin/resources/Accounts/editor.ui
--- a/pidgin/resources/Accounts/editor.ui
+++ b/pidgin/resources/Accounts/editor.ui
@@ -232,6 +232,7 @@ along with this program; if not, see <ht
     </child>
     <child type="action">
       <object class="GtkButton" id="button2">
+        <property name="css-classes">suggested-action</property>
         <property name="label" translatable="1">_Save</property>
         <property name="receives-default">1</property>
         <property name="sensitive">0</property>
@@ -239,8 +240,8 @@ along with this program; if not, see <ht
       </object>
     </child>
     <action-widgets>
-      <action-widget response="-6">button1</action-widget>
-      <action-widget response="-10">button2</action-widget>
+      <action-widget response="cancel">button1</action-widget>
+      <action-widget response="apply">button2</action-widget>
     </action-widgets>
   </template>
 </interface>
diff --git a/pidgin/resources/Accounts/manager.ui b/pidgin/resources/Accounts/manager.ui
--- a/pidgin/resources/Accounts/manager.ui
+++ b/pidgin/resources/Accounts/manager.ui
@@ -150,7 +150,7 @@ along with this program; if not, see <ht
       <action-widget response="0">button3</action-widget>
       <action-widget response="1">modify_button</action-widget>
       <action-widget response="2">remove_button</action-widget>
-      <action-widget response="-7">button2</action-widget>
+      <action-widget response="close">button2</action-widget>
     </action-widgets>
   </template>
 </interface>
diff --git a/pidgin/resources/Conversations/invite_dialog.ui b/pidgin/resources/Conversations/invite_dialog.ui
--- a/pidgin/resources/Conversations/invite_dialog.ui
+++ b/pidgin/resources/Conversations/invite_dialog.ui
@@ -111,8 +111,8 @@ along with this library; if not, see <ht
       </object>
     </child>
     <action-widgets>
-      <action-widget response="-6">button1</action-widget>
-      <action-widget response="-3">button2</action-widget>
+      <action-widget response="cancel">button1</action-widget>
+      <action-widget response="accept">button2</action-widget>
     </action-widgets>
   </template>
 </interface>
diff --git a/pidgin/resources/Dialogs/addbuddy.ui b/pidgin/resources/Dialogs/addbuddy.ui
--- a/pidgin/resources/Dialogs/addbuddy.ui
+++ b/pidgin/resources/Dialogs/addbuddy.ui
@@ -173,8 +173,8 @@ along with this program; if not, see <ht
       </object>
     </child>
     <action-widgets>
-      <action-widget response="-6">button1</action-widget>
-      <action-widget response="-5">button2</action-widget>
+      <action-widget response="cancel">button1</action-widget>
+      <action-widget response="ok">button2</action-widget>
     </action-widgets>
     <child type="action">
       <object class="GtkButton" id="button1">
diff --git a/pidgin/resources/Dialogs/addchat.ui b/pidgin/resources/Dialogs/addchat.ui
--- a/pidgin/resources/Dialogs/addchat.ui
+++ b/pidgin/resources/Dialogs/addchat.ui
@@ -167,8 +167,8 @@ along with this program; if not, see <ht
     </child>
     <action-widgets>
       <action-widget response="1">button3</action-widget>
-      <action-widget response="-6">button1</action-widget>
-      <action-widget response="-5">button2</action-widget>
+      <action-widget response="cancel">button1</action-widget>
+      <action-widget response="ok">button2</action-widget>
     </action-widgets>
   </template>
   <object class="GtkSizeGroup" id="sg">
diff --git a/pidgin/resources/Roomlist/roomlist.ui b/pidgin/resources/Roomlist/roomlist.ui
--- a/pidgin/resources/Roomlist/roomlist.ui
+++ b/pidgin/resources/Roomlist/roomlist.ui
@@ -161,7 +161,7 @@ along with this library; if not, see <ht
       <action-widget response="1">list_button</action-widget>
       <action-widget response="2">add_button</action-widget>
       <action-widget response="3">join_button</action-widget>
-      <action-widget response="-7">close_button</action-widget>
+      <action-widget response="close">close_button</action-widget>
     </action-widgets>
   </template>
   <menu id="popover_menu">
diff --git a/pidgin/resources/Status/manager.ui b/pidgin/resources/Status/manager.ui
--- a/pidgin/resources/Status/manager.ui
+++ b/pidgin/resources/Status/manager.ui
@@ -165,7 +165,7 @@ License along with this library; if not,
       <action-widget response="1">button1</action-widget>
       <action-widget response="2">modify_button</action-widget>
       <action-widget response="3">remove_button</action-widget>
-      <action-widget response="-7">button2</action-widget>
+      <action-widget response="close">button2</action-widget>
     </action-widgets>
   </template>
 </interface>
